# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc控销商品拦截验证_下单,2288,2288-26,sit,bs
涉及到接口:多采商城提交订单接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_order_handle"

# 第一步登录多采商城获取token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 进行商品控销操作
sql = "UPDATE `cmdc-product`.ic_product t SET t.isControlSales = 1 WHERE t.productId = 7991"
mysql_handle.executeUpdate(host, port, user, pwd, "cmdc-product", sql)

# 第二步进行提交订单
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url19")
request_body = commonFuc().get_business_data(module, "payload19")

"""
 场景: 验证下单时，包含控销商品，是否进行拦截
 用例名称：控销商品拦截验证
 输出：{"message": "商品证照校验错误"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取message
result = {"message": result["message"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict19")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
